[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TComponentList.Remove

Remove a component from the list, possibly destroying it.

## Declaration

Source position: contnrs.pp line 106

`public function TComponentList.Remove(`
`AComponent: TComponent`
`):Integer;`

## Arguments

`AComponent` |  | Component to remove from the list

## Function result

The index of the removed instance

## Description

Remove removes item from the list, and if the list owns it's items, it also destroys it. It returns the index of the item that was removed, or -1 if no item was removed.

Remove simply overrides the implementation in TObjectList so it only accepts TComponent descendents. It introduces no new behaviour.

## Errors

None.

## See also

TComponentList.Extract |  | Remove a component from the list without destroying it.
TObjectList.Remove |  | Remove (and possibly free) an element from the list.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .